<?php

// Should be set to 0 in production
error_reporting(E_ALL);

// Should be set to '0' in production
ini_set('display_errors', '1');

// Settings
$settings = [];

//MSSQL
if($_ENV['DB_DRIVER'] == 'sqlsrv') {
    $settings['db'] = [
        'driver'      => $_ENV['DB_DRIVER'],
        'host'        => $_ENV['DB_HOST'],
        'dbname'      => $_ENV['DB_NAME'],
        'user'        => $_ENV['DB_USER'],
        'password'    => $_ENV['DB_PASSWORD'],
        'charset'     => $_ENV['DB_CHARSET']
    ];
}

//ORACLEDB
if($_ENV['DB_DRIVER'] == 'oci8') {
    $settings['db'] = [
        'driver'      => $_ENV['DB_DRIVER'],
        'host'        => $_ENV['DB_HOST'],
        'dbname'      => $_ENV['DB_NAME'],
        'user'        => $_ENV['DB_USER'],
        'password'    => $_ENV['DB_PASSWORD'],
        'charset'     => $_ENV['DB_CHARSET'],
        'service'     => true,
        'sessionMode' => OCI_NO_AUTO_COMMIT // ($_ENV['DB_SESSION_MODE'] === "OCI_CRED_EXT") ? OCI_CRED_EXT : OCI_NO_AUTO_COMMIT
    ];
    
    if (isset($_COOKIE['NRORG'])) {
        
        $nrorg = $_COOKIE['NRORG'];

        if (is_numeric($nrorg)) {
            $settings['db']['host'] = 'dbsaas02.cs2mndwjzzw2.us-east-1.rds.amazonaws.com';
            $settings['db']['user'] = 'USR_ORG_' . $nrorg;
            $settings['db']['password'] = base64_decode('dGVrbmlzYTAwMDA=');
            $settings['db']['dbname'] = 'pdborcl';
        }
    }

    //var_dump($settings['db']).die();
}

$settings['commands'] = [
    \App\Console\ExampleCommand::class,
    // Add more here...
];

return $settings;