export type MenuItem = {
  name: string,
  label: string,
  icon?: string,
  isActive?: boolean,
  href?: string,
  isMainPage?: boolean,
  submenu?: (MenuItem & {
    isHeader?: boolean,
  })[]
};

export type MenuType = {
  component: string,
  name: string,
  cssClass: string,
  items: MenuItem[],
};

export default {
  component: 'Menu',
  name: 'main-menu',
  cssClass: 'main-menu',
  items: [
    {
      name: 'home-page',
      label: 'Início',
      icon: 'mdi-home',
      isMainPage: true,
      href: '/dashboard',
    },
    {
      name: 'main-page',
      label: 'Acompanhamento de Pedidos',
      icon: 'mdi-food',
      href: '/main-page',
    },
    {
      name: 'logs-mini',
      label: 'Acompanhamento de Logs',
      icon: 'mdi-folder-text-outline',
      href: '/logs',
    },
  ],
};
