import { IDictionary, Validation } from '@zeedhi/core';

import { validations } from '@/utils/validations';

type ValidatorFunction = {
  (config: IDictionary<any> | undefined): any
};

type Validator = {
  [name: string]: ValidatorFunction,
};

class CustomValidation {
  static register() {
    validations.forEach((validator: Validator) => {
      Object.entries(validator).forEach(([name, functionToApply]) => {
        if (typeof functionToApply === 'function') {
          Validation.register(name, functionToApply);
        }
      });
    });
  }
}

CustomValidation.register();
